Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOutputPort Class Reference

`#include <vtkOutputPort.h>`

Inheritance diagram for vtkOutputPort:

[legend]
Collaboration diagram for vtkOutputPort:

[legend]
List of all members.

## Detailed Description

Connects pipelines in different processes.

Date:
  2002/05/17 01:50:34

Revision:
  1.7

OutputPort Connects the pipeline in this process to one in another processes. It communicates all the pipeline protocol so that the fact you are running in multiple processes is transparent. The output port is placed at the end of the pipeline (an output for a process). It can have multiple corresponding input ports in other processes that receive its data. Updates in a port are triggered asynchronously, so filter with multiple inputs will take advantage of task parallelism.

See also:
  vtkInputPort vtkMultiProcessController

Events:
  vtkCommand::StartEvent vtkCommand::EndEvent

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (92%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkOutputPort.cxx)`
  - .`h` (`/Parallel/vtkOutputPort.h)`

Examples:
  vtkOutputPort (Examples)

Tests:
  vtkOutputPort (Tests)

Definition at line 62 of file vtkOutputPort.h.

## Public Types
typedef vtkProcessObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | WaitForUpdate ()
void | SetParameterMethod (void(*f)(void *), void *arg)
void | SetParameterMethodArgDelete (void(*f)(void *))
void | SetInput (vtkDataObject *input)
vtkDataObject * | GetInput ()
void | SetTag (int tag)
virtual int | GetTag ()
virtual vtkMultiProcessController * | GetController ()
virtual void | SetController (vtkMultiProcessController *)
void | TriggerUpdateInformation (int remoteProcessId)
void | TriggerUpdate (int remoteProcessId)
virtual void | SetPipelineFlag (int)
virtual int | GetPipelineFlag ()
virtual void | PipelineFlagOn ()
virtual void | PipelineFlagOff ()
## Static Public Methods
vtkOutputPort * | New ()
int | IsTypeOf (const char *type)
vtkOutputPort * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOutputPort ()
| ~vtkOutputPort ()
## Protected Attributes
int | Tag
vtkMultiProcessController * | Controller
vtkTimeStamp | UpdateTime
int | PipelineFlag
void(* | ParameterMethod )(void *)
void(* | ParameterMethodArgDelete )(void *)
void * | ParameterMethodArg

## Member Typedef Documentation

typedef vtkProcessObject vtkOutputPort::Superclass

| Reimplemented from vtkProcessObject. Definition at line 66 of file vtkOutputPort.h.

## Constructor & Destructor Documentation

vtkOutputPort::vtkOutputPort | ( |  | ) | `[protected]`

vtkOutputPort::~vtkOutputPort | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOutputPort* vtkOutputPort::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkOutputPort::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProcessObject.

int vtkOutputPort::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject.

virtual int vtkOutputPort::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject.

vtkOutputPort* vtkOutputPort::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProcessObject.

void vtkOutputPort::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProcessObject.

void vtkOutputPort::SetInput | ( | vtkDataObject * | input | ) |

| Should accept vtkDataObjects in the future.

vtkDataObject* vtkOutputPort::GetInput | ( |  | ) |

| Should accept vtkDataObjects in the future.

void vtkOutputPort::SetTag | ( | int | tag | ) |

| Output is specified by the process the output port is in, and a tag so there can be more than one output port per process. Tag must be set before this port can be used. THIS TAG MUST BE EVEN BECAUSE TWO RMIs ARE CREATED FROM IT!!!

virtual int vtkOutputPort::GetTag | ( |  | ) | `[virtual]`

| Output is specified by the process the output port is in, and a tag so there can be more than one output port per process. Tag must be set before this port can be used. THIS TAG MUST BE EVEN BECAUSE TWO RMIs ARE CREATED FROM IT!!!

void vtkOutputPort::WaitForUpdate | ( |  | ) |

| This just forwards the wait onto the controller, which will wait for a message for any of its ports (or any RMI). Since this method is implemented in the controller, multiple output ports can be waiting at once (as long as they share a controller). This method will only return if the BreakFlag is turned on in the controller. The controller automatically creates a break rmi with the vtkMultiProcessController::BREAK_RMI_TAG for doing this remotely.

virtual vtkMultiProcessController* vtkOutputPort::GetController | ( |  | ) | `[virtual]`

| Access to the global controller.

virtual void vtkOutputPort::SetController | ( | vtkMultiProcessController * |  | ) | `[virtual]`

| Access to the global controller.

void vtkOutputPort::TriggerUpdateInformation | ( | int | remoteProcessId | ) |

| RMI function needs to call this. Should make function a friend. No one else should call it.

void vtkOutputPort::TriggerUpdate | ( | int | remoteProcessId | ) |

| RMI function needs to call this. Should make function a friend. No one else should call it.

virtual void vtkOutputPort::SetPipelineFlag | ( | int |  | ) | `[virtual]`

| Trying to get pipeline parallelism working.

virtual int vtkOutputPort::GetPipelineFlag | ( |  | ) | `[virtual]`

| Trying to get pipeline parallelism working.

virtual void vtkOutputPort::PipelineFlagOn | ( |  | ) | `[virtual]`

| Trying to get pipeline parallelism working.

virtual void vtkOutputPort::PipelineFlagOff | ( |  | ) | `[virtual]`

| Trying to get pipeline parallelism working.

void vtkOutputPort::SetParameterMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| This method is called after the port updates. It is meant to change a parameter if a series is being processed (for pipeline parallelism).

void vtkOutputPort::SetParameterMethodArgDelete | ( | void(* | f)(void *) | ) |

| Set the arg delete method. This is used to free user memory.

## Member Data Documentation

int vtkOutputPort::Tag`[protected]`

| Definition at line 125 of file vtkOutputPort.h.

vtkMultiProcessController* vtkOutputPort::Controller`[protected]`

| Definition at line 127 of file vtkOutputPort.h.

vtkTimeStamp vtkOutputPort::UpdateTime`[protected]`

| Definition at line 128 of file vtkOutputPort.h.

int vtkOutputPort::PipelineFlag`[protected]`

| Definition at line 131 of file vtkOutputPort.h.

void(* vtkOutputPort::ParameterMethod)(void *)`[protected]`

void(* vtkOutputPort::ParameterMethodArgDelete)(void *)`[protected]`

void* vtkOutputPort::ParameterMethodArg`[protected]`

| Definition at line 134 of file vtkOutputPort.h.

The documentation for this class was generated from the following file:

- Parallel/vtkOutputPort.h